{
  "schema_version": "1.4.0",
  "id": "GHSA-cmgq-gqwf-mjfw",
  "modified": "2025-04-11T04:01:22Z",
  "published": "2022-05-14T02:17:28Z",
  "aliases": [
    "CVE-2012-0849"
  ],
  "details": "Integer overflow in the ff_j2k_dwt_init function in libavcodec/j2k_dwt.c in FFmpeg before 0.9.1 allows remote attackers to cause a denial of service (segmentation fault and application crash) via a crafted JPEG2000 image that triggers an incorrect check for a negative value.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2012-0849"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/78935"
    },
    {
      "type": "WEB",
      "url": "http://ffmpeg.org/security.html"
    },
    {
      "type": "WEB",
      "url": "http://git.videolan.org/?p=ffmpeg.git%3Ba=commit%3Bh=1f99939a6361e2e6d6788494dd7c682b051c6c34"
    },
    {
      "type": "WEB",
      "url": "http://git.videolan.org/?p=ffmpeg.git;a=commit;h=1f99939a6361e2e6d6788494dd7c682b051c6c34"
    },
    {
      "type": "WEB",
      "url": "http://www.ffmpeg.org/trac/ffmpeg/ticket/776"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/02/01/11"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/02/14/4"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2012-08-27T23:55:00Z"
  }
}